{% extends 'layouts/base_background.html' %}
{% load static %} 
{% block title %} ZuLab{% endblock title %}
{% block styles %}
<link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700,900|Roboto+Slab:400,700" />  
<link href="https://fonts.googleapis.com/icon?family=Material+Icons+Round" rel="stylesheet">  

{% endblock styles %}
{% block body %} class="index-page bg-gray-200" {% endblock body %}

{% block content %} 
<div class="container mt-7">
    <div class="row">
        <div class="col-lg-12 mx-auto"> 
            <div class="position-relative border-radius-xl overflow-hidden shadow-lg mb-2">
                <div class="container border-bottom">
                    <div class="row py-3">
                    <div class="col-lg-8 text-start">
                        <p class="lead text-dark pt-1 mb-0"> <span class="badge bg-light text-dark"><i class="fas fa-lock me-1" aria-hidden="true"></i></span> 
                            Formulario de {% if obj %}edición{% else %}registro{% endif %}</p>
                    </div> 
                    <div class="col-lg-4 text-end my-auto">
                        <a href="{% url 'grupoArea_listado' %}" class="text-primary icon-move-right">Volver
                        <i class="fas fa-arrow-right text-sm ms-1" aria-hidden="true"></i>
                        </a>
                    </div>
                    </div>
                </div>
                <div class="tab-content tab-space">
                    <div class="tab-pane active" id="preview-forms-simple">   
                            <section>
                                <div class="container py-4">

                                    <div class="row">
                                        <small class="text-danger">
                                            {% if form.errors %}
                                                {% for field in form %}
                                                    {% if field.errors %}
                                                        {% for error in field.errors %}
                                                            {{ error|escape }}
                                                        {% endfor %}
                                                    {% endif %}
                                                {% endfor %}
                
                                                {% if form.non_field_errors%}
                                                    {% for error in form.non_field_errors %}
                                                        {{ error|escape }}
                                                    {% endfor %}
                                                {% endif %}
                                                <hr>
                                            {% endif %}
                                        </small>
                                    <div>
                                <div class="row">
                                    <div class="col-lg-7 mx-auto d-flex justify-content-center flex-column"> 
                                        {% if obj %}
                                        <form method="POST" role="form" class="form-inline" action="{% url 'grupoArea_edit' obj.pk %}" enctype="multipart/form-data" >
                                        {% else %}
                                        <form method="POST" role="form" class="form-inline" action="{% url 'grupoArea_new' %}"  enctype="multipart/form-data" >
                                        {% endif %}
                                        {% csrf_token %}
                                            <div class="card-body">
                                            <div class="row">
                                                <div class="col-md-6">
                                                <div class="input-group input-group-dynamic mb-4">
                                                    <label class="form-label">{{form.area.label}}</label>
                                                    {{form.area}}
                                                </div>
                                                </div>
                                                <div class="col-md-6 ps-2">
                                                <div class="input-group input-group-dynamic">
                                                    <label class="form-label">{{form.codigo.label}}</label>
                                                    {{form.codigo}}
                                                </div>
                                                </div>
                                            </div> 
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="form-check form-switch mb-4 d-flex align-items-center">
                                                        {{form.estado}}
                                                        <label class="form-check-label ms-3 mb-0" for="flexSwitchCheckDefault">Estado de registro</label>
                                                    </div>
                                                </div>
                                                <div class="col-md-12">
                                                <button type="submit" class="btn bg-gradient-primary w-100">Guardar</button>
                                                </div>
                                            </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                                </div>
                            </section> 
                    </div> 
                </div>
            </div> 
        </div>
    </div>
</div> 
{% endblock content %}
{% block javascripts %}
<script src="https://kit.fontawesome.com/42d5adcbca.js" crossorigin="anonymous"></script> 
<script src="{% static 'js/core/popper.min.js' %}" type="text/javascript"></script>
<script src="{% static 'js/core/bootstrap.min.js' %}" type="text/javascript"></script>
<script src="{% static 'js/material-kit.min.js' %}" type="text/javascript"></script>
<script language="javascript">    
    $(document).ready(function ($) { 
        $('.input-group-dynamic').each(function() {  
            if($(this).find('input[type="text"]').val())
                $(this).addClass('is-filled');

        });
    }); 
</script>
{% endblock javascripts %}

